KDE 4.9 PyKDE API Reference

- KDE's Python API

# LabelGraphicsItem Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.FrameGraphicsItem → Marble.ScreenGraphicsItem → Marble.MarbleGraphicsItem
Namespace: Marble

## Detailed Description

A label item provides an Item that displays text or images/pixmaps. The text is displayed as plain text. The item also provides frames.

## Methods
| __init__ (self, Marble.MarbleGraphicsItem parent=0)
| __init__ (self, Marble.LabelGraphicsItem other)
| clear (self)
QIcon | icon (self)
QImage | image (self)
QSizeF | minimumSize (self)
| paintContent (self, QPainter painter)
| setContentSize (self, QSizeF contentSize)
| setIcon (self, QIcon icon, QSize size)
| setImage (self, QImage image, QSize size=QSize())
| setMinimumSize (self, QSizeF size)
| setText (self, QString text)
QString | text (self)

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleGraphicsItem | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | Marble.LabelGraphicsItem | other
| ) |  |  |

clear | ( |  | self ) |

QIcon icon | ( |  | self ) |

QImage image | ( |  | self ) |

QSizeF minimumSize | ( |  | self ) |

paintContent | ( | self, |
|  | QPainter | painter
| ) |  |  |

setContentSize | ( | self, |
|  | QSizeF | contentSize
| ) |  |  |

setIcon | ( | self, |
|  | QIcon | icon,
|  | QSize | size
| ) |  |  |

setImage | ( | self, |
|  | QImage | image,
|  | QSize | size=QSize()
| ) |  |  |

setMinimumSize | ( | self, |
|  | QSizeF | size
| ) |  |  |

setText | ( | self, |
|  | QString | text
| ) |  |  |

QString text | ( |  | self ) |